const ruinChest = [
            'repurposed_structures:chests/villages/ocean_house',
            'endercon:end_ruin_barrel',
            'minecraft:archaelogy/jungle_ruins',
            /grave$/,
            /^repurposed_structures:chests\/ruins\/land/,
            'repurposed_structures:chests/bastions/underground/treasure',
            'minecraft:chests/illager_mansion/secret_room',
            'tetra:regular_ruin',
            'nova_structures:chests/mangrove_witchhud',
            'alexscaves:chests/witch_hut',
            'nova_structures:chests/ruin_loot_master'    
        ]

LootJS.modifiers(event => {
    event
        .addLootTableModifier(ruinChest)
        .randomChance(0.15)
        .addLoot('exposure:camera')
        
    event
        .addLootTableModifier(ruinChest)
        .randomChance(0.1)
        .addLoot('playercollars:collar')

    event
        .addLootTableModifier(ruinChest)
        .randomChance(0.07)
        .addLoot('simpleradio:transceiver')

    event
        .addLootTableModifier(ruinChest)
        .randomChance(0.05)
        .addLoot('estrogen:estrogen_chip_cookie')
})

ServerEvents.recipes(event => {
    event.remove("playercollars:collar")
    event.remove("exposure:camera")
})